Name:          je
Version:       6.3.8
Release:       2%{?dist}
Summary:       Berkeley DB Java Edition
License:       AGPLv3 and BSD
URL:           http://www.oracle.com/us/products/database/berkeley-db/je/overview/index.html
# use SOURCE2: sh je-create-tarball.sh < VERSION >
Source0:       %{name}-%{version}-clean.tar.xz
Source1:       http://download.oracle.com/maven/com/sleepycat/%{name}/%{version}/%{name}-%{version}.pom
Source2:       %{name}-create-tarball.sh
# fix build
Patch0:        %{name}-6.3.8-build.patch
Patch1:        %{name}-6.3.8-use-system-asm.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest-core
BuildRequires: hostname
BuildRequires: java-javadoc
BuildRequires: javapackages-local
BuildRequires: jboss-connector-1.6-api
BuildRequires: jboss-ejb-3.1-api
BuildRequires: junit
BuildRequires: mvn(org.ow2.asm:asm)

BuildArch:     noarch

%description
Berkeley DB Java Edition is a high performance, transactional storage
engine written entirely in Java. Like the highly successful Berkeley DB
product, Berkeley DB Java Edition executes in the address space of the
application, without the overhead of client/server communication. It
stores data in the application's native format, so no run-time data
translation is required. Berkeley DB Java Edition supports full ACID
transactions and recovery. It provides an easy-to-use, programmatic
interface, allowing developers to store and retrieve information
quickly, simply and reliably.

%package examples
Summary:       Examples for %{name}
Requires:      %{name} = %{version}-%{release}

%description examples
This package contains examples for %{name}.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package examples-javadoc
Summary:       Javadoc for %{name}-examples
Requires:      %{name}-javadoc = %{version}-%{release}

%description examples-javadoc
This package contains javadoc for %{name}-examples.

%prep
%setup -q
%patch0 -p1
cp -p %{SOURCE1} pom.xml
%patch1 -p1
rm -rf src/com/sleepycat/asm

%mvn_file com.sleepycat:%{name} %{name}

%build

ant \
 -Dj2ee.jarfile="$(build-classpath jboss-connector-1.6-api):$(build-classpath jboss-ejb-3.1-api)" \
 -Djdk6.home=%{_jvmdir}/java \
 -Dant.library.dir=%{_javadir} \
 jar javadoc compile-examples

cd build/classes
%jar -cf ../../%{name}-examples.jar collections je jmx persist

%install
%mvn_artifact pom.xml build/lib/%{name}.jar
%mvn_install -J docs/java

install -pm 644 %{name}-examples.jar %{buildroot}%{_javadir}/%{name}-examples.jar
cp -a docs/examples %{buildroot}%{_javadocdir}/%{name}-examples

%files -f .mfiles
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files examples
%{_javadir}/%{name}-examples.jar
%license LICENSE

%files examples-javadoc
%{_javadocdir}/%{name}-examples
%license LICENSE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 06 2015 gil cattaneo <puntogil@libero.it> 6.3.8-1
- update to 6.3.8 rhbz#1231436

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.97-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.97-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 5.0.97-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Oct 09 2013 gil cattaneo <puntogil@libero.it> 5.0.97-1
- update to 5.0.97

* Mon Sep 30 2013 gil cattaneo <puntogil@libero.it> 5.0.84-3
- install LICENSE in javadoc subpackage

* Sat Sep 14 2013 gil cattaneo <puntogil@libero.it> 5.0.84-2
- fix files list in main package
- resolve problems during javadocs processing

* Thu Aug 15 2013 gil cattaneo <puntogil@libero.it> 5.0.84-1
- update to 5.0.84

* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> 5.0.73-1
- initial rpm
